GELF_GETDYN(3)

NAME
gelf_getdyn - Get class-independent information from dynamic table at the given index

SYNOPSIS
#include <gelf.h>
GElf_Dyn *gelf_getdyn (Elf_Data *data, int ndx, GElf_Dyn *dst);

DESCRIPTION
Retrieve a dynamic table entry from data at index ndx and store it in a class-independent representation pointed to by dst.

data must be an Elf_Data* associated with a section of type SHT_DYNAMIC

PARAMETERS

data
    Pointer to an Elf_Data of a section with type SHT_DYNAMIC. data->d_type should be ELF_T_DYN.

ndx Zero-based index of the requested dynamic table entry within data.

dst Pointer to a caller-provided GElf_Dyn structure for storing the requested dynamic table entry. Must not be NULL.

RETURN VALUE
On success, this function updates dst with the requested dynamic table entry and returns dst. On failure, it returns NULL and sets elf_errno. If data is NULL, then NULL is returned without setting elf_errno.

SEE ALSO
gelf_update_dyn(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.